<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration {

	public function up()
	{
		Schema::create('users', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->string('name');
			$table->string('email')->unique();
			$table->string('phone')->unique();
			$table->string('password');
			$table->enum('type', array('admin', 'user', 'commentator'));
			$table->string('image')->nullable();
			$table->integer('country_id')->unsigned();
		});
	}

	public function down()
	{
		Schema::drop('users');
	}
}